com.tibco.tibjms.admin

## Class DestinationBridgeInfo

- java.lang.Object
- - com.tibco.tibjms.admin.DestinationBridgeInfo

-     public class DestinationBridgeInfo
      extends java.lang.Object

  This class replaces the old BridgeInfo class to represent bridges between destinations. DestinationBridgeInfo objects can be created and then passed to a TibjmsAdmin object to create or update the bridge on the EMS server. DestinationBridgeInfo objects represent a bridge between a single source and a single target unlike the old BridgeInfo objects which had one source but could have multuple targets. To modify a DestinationBridgeInfo object it is necessary to delete the old bridge and create a new one.
  Since:
    EMS 4.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DestinationBridgeInfo(int sourceType, java.lang.String sourceName, int targetType, java.lang.String targetName, java.lang.String selector)` Create a DestinationBridgeInfo object that will bridge between two destinations with an optional selector.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSelector()` Get the selector used by this bridge.
    `java.lang.String` | `getSourceName()` Get the name of the destination that is the source for this bridge.
    `int` | `getSourceType()` Get the type of the destination that is the source for this bridge.
    `java.lang.String` | `getTargetName()` Get the name of the destination that is the target for this bridge.
    `int` | `getTargetType()` Get the type of the destination that is the target for this bridge.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DestinationBridgeInfo

          public DestinationBridgeInfo(int sourceType,
                                       java.lang.String sourceName,
                                       int targetType,
                                       java.lang.String targetName,
                                       java.lang.String selector)

      Create a DestinationBridgeInfo object that will bridge between two destinations with an optional selector. The bridge is not created on the server until the object is passed to TibjmsAdmin.createDestinationBridge().
      Parameters:
        `sourceType` - the type of the source destination, either `DestinationInfo.QUEUE_TYPE` or `DestinationInfo.TOPIC_TYPE`
        `sourceName` - the name of the source destination
        `targetType` - the type of the target destination either `DestinationInfo.QUEUE_TYPE` or `DestinationInfo.TOPIC_TYPE`
        `targetName` - the name of the target destination
        `selector` - the selector (can be null)

  - ### Method Detail

    - #### getSourceType

          public int getSourceType()

      Get the type of the destination that is the source for this bridge.
      Returns:
        the source's type, either `DestinationInfo.QUEUE_TYPE` or `DestinationInfo.TOPIC_TYPE`

    - #### getSourceName

          public java.lang.String getSourceName()

      Get the name of the destination that is the source for this bridge.
      Returns:
        the source's name

    - #### getTargetType

          public int getTargetType()

      Get the type of the destination that is the target for this bridge.
      Returns:
        the target's type, either `DestinationInfo.QUEUE_TYPE` or `DestinationInfo.TOPIC_TYPE`

    - #### getTargetName

          public java.lang.String getTargetName()

      Get the name of the destination that is the target for this bridge.
      Returns:
        the target's name

    - #### getSelector

          public java.lang.String getSelector()

      Get the selector used by this bridge. Only messages that pass this selector will be bridged from the source destination to the target destination.
      Returns:
        the selector or null if one is not set

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Cloud Software Group, Inc. All rights reserved